Reads current assignment and observation generation for an enrolled Agent.
GET
/api/workspace/file-protection/agent/v1/observations/state
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/file-protection/agent/v1/observations/state"), Headers = { { "X-Moltaro-File-Protection-Agent", "<X-Moltaro-File-Protection-Agent>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/file-protection/agent/v1/observations/state';const options = { method: 'GET', headers: {'X-Moltaro-File-Protection-Agent': '<X-Moltaro-File-Protection-Agent>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/file-protection/agent/v1/observations/state \ --header 'X-Moltaro-File-Protection-Agent: <X-Moltaro-File-Protection-Agent>'Requires TLS at the API connection. A workspace bearer token does not authenticate an Agent.
Send the enrolled device credential in the X-Moltaro-File-Protection-Agent header. Revoked or invalid credentials are rejected.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”sourceId
string
protocolVersion
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
CAS input obtained before capturing a new local inventory.
object
SourceId
string
AssignmentRevision
string format: uuid
Generation
integer format: int64
MonitoringEnabled
boolean
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}